##### thread_pool::thread_pool (4 of 6 overloads)

Constructs a pool with a specified number of threads.

    template<
        typename Allocator>
    thread_pool(
        allocator_arg_t ,
        const Allocator & a,
        std::size_t num_threads);

###### Parameters

num_threads

  The number of threads required.

a

  An allocator that will be used for allocating objects that are associated with the execution context, such as services and internal state for I/O objects.